//+------------------------------------------------------------------+ 
//|           TRO_LINE_PLOT_END                                      | 
//|                                                                  | 
//|   Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 

#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 

#property indicator_chart_window
 
 
//---- input parameters 

extern bool   Sound.Alert    = true ; 

extern   double   myEnd = 25; 
extern   color    myColor = Magenta ;
extern int myLineStyle    = 2 ;
extern int myLineTickness = 1 ;
 
      string line1 = "Endline1", line2 = "Endline2", line3 = "Endline3",tTrade ;  
      double xPrice, EndPrice, rem, xnext, yPrice, zPrice ;
 
int    digits2, digits, period ;  
double point;

//+------------------------------------------------------------------+ 
int init() 
  { 

   digits       =  Digits ;
   point        =  Point ;
 
   if(digits == 5 || digits == 3) { digits2 = 0 ; point = point * 10 ; } else { digits2 = 0 ; }
 
    line1 = MakeUniqueName(line1+ Period()+Symbol(), "");
    line2 = MakeUniqueName(line2+ Period()+Symbol(), "");    
    line3 = MakeUniqueName(line3+ Period()+Symbol(), "");    

 
   return(0); 
  }  
//+------------------------------------------------------------------+ 
int deinit() 
  { 
      ObjectDelete(line1);  
      ObjectDelete(line2); 
      ObjectDelete(line3);       
      
   return(0); 
  } 
  
//+------------------------------------------------------------------+ 
int start() 
  { 


if ( Point == 0.01 )  {rem = MathMod(Close[0],1) ; xnext = 100 ; } else 
if ( Point == 0.001 )  {rem = MathMod(Close[0],1) ; xnext = 100 ; } else 
if ( Point == 0.0001 )  {rem = MathMod(Close[0],0.01) ; xnext = 0.01 ; } else 
if ( Point == 0.00001 )  {rem = MathMod(Close[0],0.01) ; xnext = 0.01 ; }
//else { rem =   MathMod(Close[0],0.01 ) ; xnext = 0.01 ; }       
 

xPrice = (Close[0] - rem)  + (myEnd * point) ;
yPrice = xPrice + xnext ;
zPrice = xPrice - xnext ;


      ObjectDelete(line1);
      ObjectCreate(line1,OBJ_HLINE,0,0,0);
      ObjectSet(line1,OBJPROP_COLOR,myColor);
      ObjectSet(line1,OBJPROP_STYLE,myLineStyle);
      ObjectMove(line1,0,Time[0],xPrice);  

      ObjectDelete(line2);
      ObjectCreate(line2,OBJ_HLINE,0,0,0);
      ObjectSet(line2,OBJPROP_COLOR,myColor);
      ObjectSet(line2,OBJPROP_STYLE,myLineStyle);
      ObjectMove(line2,0,Time[0],yPrice);


  
      ObjectDelete(line3);
      ObjectCreate(line3,OBJ_HLINE,0,0,0);
      ObjectSet(line3,OBJPROP_COLOR,myColor);
      ObjectSet(line3,OBJPROP_STYLE,myLineStyle);
      ObjectMove(line3,0,Time[0],zPrice);

      if ( Sound.Alert )       
      {
      
        if(Close[0] >= Open[0]) {tTrade = "Buy Long " ;} else {tTrade = "Sell Short " ;} 
        if( Close[0] == xPrice ) {  Alert( tTrade + Symbol(),"  "+ DoubleToStr(xPrice ,Digits) ); }     
        if( Close[0] == yPrice ) {  Alert( tTrade + Symbol(),"  "+ DoubleToStr(yPrice ,Digits) ); }         
        if( Close[0] == zPrice ) {  Alert( tTrade + Symbol(),"  "+ DoubleToStr(zPrice ,Digits) ); }         
          
     
      }
      


      
   return(0);    
  } 
//+------------------------------------------------------------------+ 
 

 
string MakeUniqueName(string first, string rest)
{
   string result = first+(MathRand()%1001)+rest;

   while (WindowFind(result)> 0)
          result = first+(MathRand()%1001)+rest;
   return(result);
} 
  
//+------------------------------------------------------------------+

/*


Comment(

"Close[0] " , DoubleToStr(Close[0],Digits) , "\n" ,
"xrem " , DoubleToStr(rem,Digits) , "\n" ,
"xPrice " , DoubleToStr(xPrice,Digits) , "\n" ,
"Point " , DoubleToStr(Point,Digits) , "\n" ,
"xnext " , DoubleToStr(xnext,Digits) , "\n" ,
"");  

*/